Bug 831005 - QE Feedback - Admin & Config Guide - Misc
QE Feedback - Admin & Config Guide - Misc
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 19:35 EDT by Misha H. Ali
Modified: 2012-08-15 10:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 23:07:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-06-11 19:35:24 EDT
* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-JBoss_Data_Grid.html

Support for Computer Grids JBoss Data Grid can pass a Runnable to the grid, which allows complex processing to be pushed to a server that contains local data. The required results are then pulled back using a Future. This map/reduce style paradigm is common for applications that require a large amount of data   to compute relatively small results. 

Do we really support the above? ^^^ 

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Troubleshooting_Asynchronous_ReplicationDistribution_Cache_Behavior.html

-> I think this topic belongs only to Replication mode, not Distribution. So I would remove it from this section or it needs to be rewritten.
It does not make sense to use REPL_SYNC or REPL_ASYNC when we're troubleshooting Distribution. And so the following topic should be renamed
as it describes only troubleshooting for Replication mode: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Troubleshooting_Asynchronous_ReplicationDistribution_Cache_Behavior-1.html

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Concurrency_Levels.html

JDKConcurrentHashMap should be split to JDK ConcurrentHashMap

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/sect-Isolation_Levels.html

READ_COMMIT should be READ_COMMITTED

* Why do we have both "8. Cache Stores" and  "9. Cache Loaders" ?. I think all that is in "Cache Loaders" section could be easily in "Cache Stores" section.
  This is rather confusing for users as they will most of the time use CacheStores. They will want to store something to the cache store as well as read from
  it. Furthermore, the Cache Loader (read-only) can be configured only for library mode, it is not available in remote datagrid.
  
  Could we possibly discuss this with someone else? e.g. Tristan, Prabhat

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Eviction_Configuration_Example.html

"Configuration bean" is all in bold. Shouldn't only "Configuration" be like that?

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Eviction_Configuration_Example.html

We should mention that this is for library mode.

* I don't see a configuration example for client-server mode. The configuration would then look like this: 

	<eviction strategy="FIFO" max-entries="20"/>    //notice max-entries instead of maxEntries, this is important

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Expiration.html

In the whole section we're using "maxIdle" attribute but this is only for library mode. For remote mode it is called max-idle. 
Furthermore, I don't see any configuration example, like e.g. this one: <expiration lifespan="2000" max-idle="1000" />

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Activation_and_Passivation_Modes.html

"passivation flag" is all in bold, shoudn't only "passivation" be in bold?

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/sect-Adding_Custom_Interceptors.html

We should mention that this is for library mode only.


* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Transaction_Recovery_Process.html

-> those 2 titles are to close to each other IMO (how about adding one blank line between them?)

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Enable_Deadlock_Detection1.html

-> The note contains ". " at the beginning
Comment 1 Misha H. Ali 2012-06-12 00:48:57 EDT
(In reply to comment #0)
> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-JBoss_Data_Grid.html
> 
> Support for Computer Grids JBoss Data Grid can pass a Runnable to the grid,
> which allows complex processing to be pushed to a server that contains local
> data. The required results are then pulled back using a Future. This
> map/reduce style paradigm is common for applications that require a large
> amount of data   to compute relatively small results. 
> 
> Do we really support the above? ^^^ 
> 

I think so, but not confirmed so excluding this bit for now.

> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Troubleshooting_Asynchronous_ReplicationDistribution_Cache_Behavior.html
> 
> -> I think this topic belongs only to Replication mode, not Distribution. So
> I would remove it from this section or it needs to be rewritten.
> It does not make sense to use REPL_SYNC or REPL_ASYNC when we're
> troubleshooting Distribution. And so the following topic should be renamed
> as it describes only troubleshooting for Replication mode:
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Troubleshooting_Asynchronous_ReplicationDistribution_Cache_Behavior-1.html
> 

Topic 3.2.2. was "Troubleshooting Asynchronous Replication/Distribution Cache Behavior". This is removed from the distribution chapter according to QE recommendation from this location.

The topic is also renamed to be about replication only (no distribution).

Guessing it should now appear here only: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Troubleshooting_Asynchronous_Replication_Cache_Behavior.html

> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Concurrency_Levels.html
> 
> JDKConcurrentHashMap should be split to JDK ConcurrentHashMap
> 

Fixed, should appear in above link.

> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/sect-Isolation_Levels.html
> 
> READ_COMMIT should be READ_COMMITTED
> 

Fixed.

> * Why do we have both "8. Cache Stores" and  "9. Cache Loaders" ?. I think
> all that is in "Cache Loaders" section could be easily in "Cache Stores"
> section.
>   This is rather confusing for users as they will most of the time use
> CacheStores. They will want to store something to the cache store as well as
> read from
>   it. Furthermore, the Cache Loader (read-only) can be configured only for
> library mode, it is not available in remote datagrid.
>   
>   Could we possibly discuss this with someone else? e.g. Tristan, Prabhat
> 

You have a good point. It is separate for the sake of clarity, particularly when bringing up these things for the first time. Also, it makes the single chapter unnecessarily long. However, I have now added the cache loaders topics into a section in the cache stores chapter.

The following chapter should contain the Cache Store and Cache Loader topics now:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Cache_Stores.html

> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Eviction_Configuration_Example.html
> 
> "Configuration bean" is all in bold. Shouldn't only "Configuration" be like
> that?
> 

Actually neither needs to be. Now changed to reflect this.

> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Eviction_Configuration_Example.html
> 
> We should mention that this is for library mode.
> 
> * I don't see a configuration example for client-server mode. The
> configuration would then look like this: 
> 
> 	<eviction strategy="FIFO" max-entries="20"/>    //notice max-entries
> instead of maxEntries, this is important
> 

Added another title to the topic and clarified that other configurations are for Library mode. Also added note at bottom clarifying the parameters used.

> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Expiration.html
> 
> In the whole section we're using "maxIdle" attribute but this is only for
> library mode. For remote mode it is called max-idle. 
> Furthermore, I don't see any configuration example, like e.g. this one:
> <expiration lifespan="2000" max-idle="1000" />
> 

Adding information about the remote mode param in the following topics:

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Expiration.html#Expiration_Operations

* http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Expiration.html#Eviction_and_Expiration_Comparison-1

Also added a new topic with configuration suggested in this chapter.

Link to appear post brew.

> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Activation_and_Passivation_Modes.
> html
> 
> "passivation flag" is all in bold, shoudn't only "passivation" be in bold?
> 

Fixed. Not bold anymore.

> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/sect-Adding_Custom_Interceptors.html
> 
> We should mention that this is for library mode only.
> 

Added note to specify this.

> 
> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Transaction_Recovery_Process.html
> 
> -> those 2 titles are to close to each other IMO (how about adding one blank
> line between them?)
> 

Added an extra line in between for padding.

> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/Enable_Deadlock_Detection1.html
> 
> -> The note contains ". " at the beginning

Fixed.
Comment 2 Misha H. Ali 2012-06-12 01:46:23 EDT
> 
> > * Why do we have both "8. Cache Stores" and  "9. Cache Loaders" ?. I think
> > all that is in "Cache Loaders" section could be easily in "Cache Stores"
> > section.
> >   This is rather confusing for users as they will most of the time use
> > CacheStores. They will want to store something to the cache store as well as
> > read from
> >   it. Furthermore, the Cache Loader (read-only) can be configured only for
> > library mode, it is not available in remote datagrid.
> >   
> >   Could we possibly discuss this with someone else? e.g. Tristan, Prabhat
> > 
> 
> You have a good point. It is separate for the sake of clarity, particularly
> when bringing up these things for the first time. Also, it makes the single
> chapter unnecessarily long. However, I have now added the cache loaders
> topics into a section in the cache stores chapter.
> 
> The following chapter should contain the Cache Store and Cache Loader topics
> now:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Cache_Stores_and_Cache_Loaders.html


> > *
> > http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Expiration.html
> > 
> > In the whole section we're using "maxIdle" attribute but this is only for
> > library mode. For remote mode it is called max-idle. 
> > Furthermore, I don't see any configuration example, like e.g. this one:
> > <expiration lifespan="2000" max-idle="1000" />
> > 
> 
> Adding information about the remote mode param in the following topics:
> 
> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/
> Administration_and_Configuration_Guide/chap-Expiration.
> html#Expiration_Operations
> 
> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/
> Administration_and_Configuration_Guide/chap-Expiration.
> html#Eviction_and_Expiration_Comparison-1
> 
> Also added a new topic with configuration suggested in this chapter.
> 
> Link to appear post brew.

Link: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Expiration.html#Expiration_Configuration
Comment 3 Misha H. Ali 2012-06-12 01:47:53 EDT
This link was broken: 

> *
> http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Administration_and_Configuration_Guide/chap-Activation_and_Passivation_Modes.html   <---FIXED
> 
> "passivation flag" is all in bold, shoudn't only "passivation" be in bold?
> 

Fixed. Not bold anymore.
Comment 4 Martin Gencur 2012-06-12 02:56:37 EDT
All my point were addressed and issues fixed.

Note You need to log in before you can comment on or make changes to this bug.